package com.jeecms.cms.action.directive;

package ..deTemp.1740368574460;

import com.jeecms.common.web.freemarker.DirectiveUtils;
import freemarker.core.Environment;
import freemarker.template.TemplateDirectiveBody;
import freemarker.template.TemplateDirectiveModel;
import freemarker.template.TemplateException;
import freemarker.template.TemplateModel;
import java.io.IOException;
import java.io.InputStream;
import java.io.Writer;
import java.net.URI;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.apache.commons.io.IOUtils;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.message.BasicNameValuePair;

public class DogInfoDirective implements TemplateDirectiveModel {
  public static final String PARAM_id = "id";
  
  public void execute(Environment env, Map params, TemplateModel[] loopVars, TemplateDirectiveBody body) throws TemplateException, IOException {
    String id = DirectiveUtils.getString("id", params);
    remoteDogInfo(env.getOut(), id);
  }
  
  private void remoteDogInfo(Writer o, String id) {
    String remoteUrl = "http://127.0.0.1:8081/jeecms/dogInfo.htm";
    HttpClient client = HttpClientBuilder.create().build();
    try {
      HttpPost http = new HttpPost(new URI(remoteUrl));
      List<NameValuePair> params = new ArrayList<>();
      params.add(new BasicNameValuePair("id", id));
      if (params.size() > 0)
        http.setEntity(new UrlEncodedFormEntity(params, "utf-8")); 
      HttpResponse response = client.execute(http);
      InputStream is = null;
      HttpEntity entity = null;
      entity = response.getEntity();
      is = entity.getContent();
      IOUtils.copy(is, o, "UTF-8");
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
}
